%global momorel 33
Summary: A program which manages RPC connections.
Name: portmap
Version: 4.0
Release: %{momorel}m
Group: System Environment/Daemons
License: BSD
Source0: ftp://coast.cs.purdue.edu/pub/tools/unix/netutils/portmap/portmap_4.tar.gz
Source1: portmap.init
Source2: pmap_set.8
Source3: pmap_dump.8
Source4: portmap.8
Patch0: portmap-4.0-linux.patch
Patch1: portmap-malloc.patch
Patch2: portmap-4.0-cleanup.patch 
Patch3: portmap-4.0-rpc_user.patch 
Patch4: portmap-4.0-sigpipe.patch 
Patch5: portmap-4.0-errno.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig, shadow-utils
NoSource: 0
BuildPrereq: tcp_wrappers
Requires: initscripts >= 5.54, util-linux >= 2.11b 

%description
The portmapper program is a security tool which prevents theft of NIS
(YP), NFS and other sensitive information via the portmapper.  A
portmapper manages RPC connections, which are used by protocols like
NFS and NIS.

The portmap package should be installed on any machine which acts as a
server for protocols using RPC.

%prep 
%setup -q -n portmap_4
%patch0 -p1
%patch1 -p1
%patch2 -p1 
%patch3 -p1 -b .rpcuser~
%patch4 -p1 -b .sigpipe~
%patch5 -p1 -b .errno~

%build
make FACILITY=LOG_AUTH ZOMBIES='-DIGNORE_SIGCHLD -Dlint' LIBS="-lnsl" RPM_OPT_FLAGS="%{optflags}" AUX="" WRAP_DIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
install -m 755 -s portmap %{buildroot}/sbin

mkdir -p %{buildroot}%{_sbindir}
install -m 755 -s pmap_set %{buildroot}%{_sbindir}
install -m 755 -s pmap_dump %{buildroot}%{_sbindir}

mkdir -p %{buildroot}%{_mandir}/man8
install -m 644 $RPM_SOURCE_DIR/pmap_set.8 %{buildroot}%{_mandir}/man8
install -m 644 $RPM_SOURCE_DIR/pmap_dump.8 %{buildroot}%{_mandir}/man8
install -m 644 $RPM_SOURCE_DIR/portmap.8 %{buildroot}%{_mandir}/man8

mkdir -p %{buildroot}%{_initscriptdir}
install -m 755 $RPM_SOURCE_DIR/portmap.init %{buildroot}%{_initscriptdir}/portmap


%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add portmap
/usr/sbin/groupadd -g 32 rpc > /dev/null 2>&1
/usr/sbin/useradd -c "Portmapper RPC user" -d / -g 32 -M -s /sbin/nologin -u 32 rpc > /dev/null 2>&1
exit 0

%triggerpostun -- portmap <= portmap-4.0-9
/sbin/chkconfig --add portmap

%preun
if [ $1 = 0 ] ; then
  service portmap stop > /dev/null 2>&1 
  /sbin/chkconfig --del portmap
fi

%postun 
if [ "$1" -ge "1" ]; then 
  service portmap condrestart > /dev/null 2>&1 
fi 

%files
%defattr(-,root,root)
%doc README CHANGES BLURB

/sbin/portmap
%{_sbindir}/pmap_dump
%{_sbindir}/pmap_set

%{_mandir}/man8/*

%config %{_initscriptdir}/portmap

%ChangeLog
* Wed Feb  2 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (4.0-33m)
- enable x86_64.

* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0-32m)
- add uid/gid

* Sun Jul  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0-31m)
- support condrestart in the init script

* Sat Jul  3 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.0-30m)
- stop daemon

* Fri May  9 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.0-29m)
- sync with rawhide(portmap-4.0-54)

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (4.0-7k)
- rebuild againt rpm-3.0.5-39k

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Apr 07 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (4.0-19).

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some malloc issues from HP

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- added man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop portmap at levels 11/89

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- fixed the trigger script

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added %trigger to fix a previously broken package

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- rebuilt against glibc 2.0.6

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed service name in stop section of init script

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- fixed chkconfig support

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added restart, status commands to init script
- added chkconfig support
- uses a buildroot and %attr tags

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
